menu
#7556954 Dependencies for provider bedrockeconomy not found.

Submitted by PocketMine-MP 4.9.0

General information

Version: 4.9.0
Git commit: 785dc712
Plugin involvement: Direct
Report date: 2022-09-22 23:06:11 +0000 UTC
Server uptime: 0 days 0 hours 0 minutes 2 seconds

System Information

PHP version: 8.0.19
JIT status: Disabled
Operating system: linux
System banner: Linux 94abb632-a53a-4439-ba8b-3a2054a2ba40 5.4.0-91-generic #102-Ubuntu SMP Fri Nov 5 16:31:28 UTC 2021 x86_64

Error information

Warning: the XPShops plugin was directly involved in this crash. Please contact the plugin author.
Message: Dependencies for provider bedrockeconomy not found.
File: plugins/XPShop_dev-60 (1).phar/src/MintoD/XPShop/libs/DaPigGuy/libPiggyEconomy/libPiggyEconomy
Line: #57
Error level: MintoD\XPShop\libs\DaPigGuy\libPiggyEconomy\exceptions\MissingProviderDependencyException
48
49
50
51
52
53
54
55
56
57
58
59
60
61
     * @throws MissingProviderDependencyException
*/
public static function getProvider(array $providerInformation): EconomyProvider
{
if (!isset(self::$economyProviders[strtolower($providerInformation["provider"])])) {
throw new UnknownProviderException("Provider " . $providerInformation["provider"] . " not found.");
}
$provider = self::$economyProviders[strtolower($providerInformation["provider"])];
if (!$provider::checkDependencies()) {
throw new MissingProviderDependencyException("Dependencies for provider " . $providerInformation["provider"] . " not found.");
}
return new $provider($providerInformation);
}
}
#0 plugins/XPShop_dev-60 (1).phar/src/MintoD/XPShop/Main(78): MintoD\XPShop\libs\DaPigGuy\libPiggyEconomy\libPiggyEconomy::getProvider(array[1])
#1 pmsrc/src/plugin/PluginBase(117): MintoD\XPShop\Main->onEnable()
#2 pmsrc/src/plugin/PluginManager(448): pocketmine\plugin\PluginBase->onEnableStateChange(true)
#3 pmsrc/src/Server(1421): pocketmine\plugin\PluginManager->enablePlugin(object MintoD\XPShop\Main#100277)
#4 pmsrc/src/Server(1026): pocketmine\Server->enablePlugins(object pocketmine\plugin\PluginEnableOrder#21920)
#5 pmsrc/src/PocketMine(305): pocketmine\Server->__construct(object BaseClassLoader#2, object pocketmine\utils\MainLogger#3, string[16] /home/container/, string[24] /home/container/plugins/)
#6 pmsrc/src/PocketMine(328): pocketmine\server()
#7 pmsrc(11): require(string[60] phar:///home/container/PocketMine-MP.phar/src/PocketMine.php)

Loaded Plugins

  • Show

Server Settings

  • Show

Installed PHP Extensions

  • Show